BizKitHub
getCalendarAdmin BFF

/bff/calendar/me

Returns the code of the personal calendar of the currently authenticated member in their active organisation. Auto-provisions one on first call if it does not exist yet (idempotent — backed by the partial unique index (organisation_id, owner_member_id) WHERE kind='personal').

CalendargetBffCalendarMe

Parameters

No parameters required

This endpoint takes no path, query, header or body parameters.

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/calendar/me

get
curl -X GET "https://api.bizkithub.com/bff/calendar/me" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key